[问题]JDK究竟安装好了没有??

为当前最终发行版之前的所有版本提供支持
回复
eklipseguy
帖子: 61
注册时间: 2007-04-27 22:33
送出感谢: 0
接收感谢: 0

[问题]JDK究竟安装好了没有??

#1

帖子 eklipseguy » 2007-05-08 9:57

我用apt-get install sun-java6-jdk来安装很正常地安装好了JDK,但用

sudo update-alternatives --config java

时,被提示
There is only 1 program which provides java.
(/usr/bin/gij-wrapper~4.1). Nothing to config.

请问这个问题该怎么解决啊,谢谢先!
头像
xport
帖子: 1277
注册时间: 2006-05-19 21:23
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 xport » 2007-05-08 10:09

以Sun JDK 5.0为例子:

代码: 全选

update-alternatives --install /usr/bin/java java /usr/lib/jvm/java-1.5.0-sun/bin/java 100


JDK 6.0 我没有安装,目录在 /usr/lib/jvm/ 中找找看吧~~~!
其实我是一个演员!-http://blog.csdn.net/xport/
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#3

帖子 stlxv » 2007-05-08 12:31

:shock:

汗,我的原来是eclipse的java编译器

代码: 全选

stlxv@stlxvcomputer:~$ javac -version
Eclipse Java Compiler v_686_R32x, 3.2.2 release, Copyright IBM Corp 2000, 2006.
PHP是最好的语言!不服来战!
eklipseguy
帖子: 61
注册时间: 2007-04-27 22:33
送出感谢: 0
接收感谢: 0

#4

帖子 eklipseguy » 2007-05-08 15:49

在我的/usr/lib/jvm下面,有一个java-6-sun的链接,而不是文件夹,请问是怎么回事呢?

我用Adept Manager,提示我的JDK和JRE都是最新的啊。拜托各位。
头像
xport
帖子: 1277
注册时间: 2006-05-19 21:23
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 xport » 2007-05-08 15:52

eklipseguy 写了:在我的/usr/lib/jvm下面,有一个java-6-sun的链接,而不是文件夹,请问是怎么回事呢?


那个符号链接指向一个目录!
其实我是一个演员!-http://blog.csdn.net/xport/
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#6

帖子 stlxv » 2007-05-08 16:10

:shock:
PHP是最好的语言!不服来战!
eklipseguy
帖子: 61
注册时间: 2007-04-27 22:33
送出感谢: 0
接收感谢: 0

#7

帖子 eklipseguy » 2007-05-08 18:55

我启动Eclipse时,提示没有合适的JVM,也就是说我通过包管理安装的JDK没有安装好,请问这种情况我该怎么处理啊?

谢谢。
头像
Element
论坛版主
帖子: 3537
注册时间: 2005-09-10 16:04
来自: DG-GD-China
送出感谢: 0
接收感谢: 0

#8

帖子 Element » 2007-05-08 19:34

源里有eclipse的,从源里装,应该没问题的
http://element.blog.ubuntu.org.cn/
Ubuntu Jaunty Jackalope...
AMD Barton 2600+
MSI K7N2 Delta-L
Kingston DDR400 512M*2+256M*1
nVidia FX5200
Seagate 80G(Jaunty Jackalope)
Seagate 160G(XXxxXX)
SyncMaster 732N
头像
依寻依然
帖子: 1617
注册时间: 2006-10-31 14:49
送出感谢: 0
接收感谢: 0

#9

帖子 依寻依然 » 2007-05-08 21:32

stlxv 写了::shock:

汗,我的原来是eclipse的java编译器

代码: 全选

stlxv@stlxvcomputer:~$ javac -version
Eclipse Java Compiler v_686_R32x, 3.2.2 release, Copyright IBM Corp 2000, 2006.

哈,这eclipse太NB了,连这都能改……貌似下面这个命令可以改回sun的编译器

代码: 全选

sudo update-java-alternatives -s java-6-sun
Borders are meant to be crossed
eklipseguy
帖子: 61
注册时间: 2007-04-27 22:33
送出感谢: 0
接收感谢: 0

#10

帖子 eklipseguy » 2007-05-08 21:42

Element 写了:源里有eclipse的,从源里装,应该没问题的


大大, 从源里安装eclipse它不负责安装Sun JDK的啊?!再给点建议吧。
头像
xport
帖子: 1277
注册时间: 2006-05-19 21:23
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 xport » 2007-05-08 21:46

eklipseguy 写了:我启动Eclipse时,提示没有合适的JVM,也就是说我通过包管理安装的JDK没有安装好,请问这种情况我该怎么处理啊?

谢谢。


修改 /etc/jvm 这个文件看看,内容调整你参考下面:

代码: 全选

[xport@ubuntu ~] $ cat /etc/jvm
# This file defines the default system JVM search order. Each
# JVM should list their JAVA_HOME compatible directory in this file.
# The default system JVM is the first one available from top to
# bottom.

# Modified by xport on 20070204 to use SUN's JDK distribution.
/usr/lib/jvm/java-1.5.0-sun

# The following leave with Ubuntu distribution.
/usr/lib/jvm/java-gcj
/usr/lib/jvm/ia32-java-1.5.0-sun
/usr
其实我是一个演员!-http://blog.csdn.net/xport/
eklipseguy
帖子: 61
注册时间: 2007-04-27 22:33
送出感谢: 0
接收感谢: 0

#12

帖子 eklipseguy » 2007-05-10 23:39

要搞明白一个问题还真不容易啊
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#13

帖子 stlxv » 2007-05-11 0:08

eklipseguy 写了:要搞明白一个问题还真不容易啊
因为本来很简单的问题就被你们越搞越麻烦
PHP是最好的语言!不服来战!
回复

回到 “老旧版本支持”